#pragma once

#include "normalizer.h"

#include <saas/rtyserver/components/oxy/processors/tuples_list_and_filters.h>

class TRepairingNormalizer : public NRTYServer::TOxygenNormalizer {
public:
    class TImpl;
public:
    TRepairingNormalizer(const TRTYServerConfig& config);
    ~TRepairingNormalizer();

    virtual const char* Name() const override;
    virtual bool AllRight(const NRTYServer::TNormalizerContext& context, const THolder<TFileMap>& /* indexFrq */) const override;
    virtual void Fix(const NRTYServer::TNormalizerContext& context, const THolder<TFileMap>& /* indexFrq */) const override;
private:
    THolder<TImpl> Impl;
};
